package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.meapi.model.Item;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Ervin Chen
 * @since 2020-10-19
 */
public interface ItemService extends IService<Item> {

    Item selectById(String handle);

    /**
     *  分页查询
     * @param
     * @return
     */
    IPage<Item> selectPage(Page<Item> page, QueryWrapper<Item> queryWrapper);

    List<Item> selectList(Item item);

    List<Item> selectList(Wrapper<Item> queryWrapper);

    String selectCurrent(String handle);

    Item selectCurrent(String site, String item);

    Map<String,Object> findMapByItemBo(String itemBo);


}